List gift card orders
curl --request GET \
--url https://app.churningtracker.com/api/v1/gift-card-orders \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/gift-card-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/gift-card-orders"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "0b6f3c1e-8f4a-4c2e-9d55-2f1a7e3b9c10",
"source": "api",
"orderDate": "2026-10-01",
"orderTime": null,
"retailer": "Staples",
"orderNumber": "STP-8812345",
"retailerAccount": null,
"subtotal": 101190,
"shipping": 0,
"tax": 0,
"discount": 0,
"total": 101190,
"creditCardId": null,
"subCreditCardId": null,
"cardEarnRate": 0,
"notes": null,
"cashback": null,
"createdAt": "2026-10-01T18:30:00.000Z",
"status": "purchased",
"expectedPayout": 100000,
"orderLineItems": [
{
"id": "c2d0a8f4-1b7e-4f0a-8a3e-5b6c7d8e9f01",
"description": "Visa gift card",
"model": null,
"unitPrice": 50595,
"quantity": 2,
"expectedUnitPayout": 50000,
"unitValue": 50000
}
],
"platform": "card_cash"
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Gift card orders
List gift card orders
GET
/
gift-card-orders
List gift card orders
curl --request GET \
--url https://app.churningtracker.com/api/v1/gift-card-orders \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.churningtracker.com/api/v1/gift-card-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.churningtracker.com/api/v1/gift-card-orders"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "0b6f3c1e-8f4a-4c2e-9d55-2f1a7e3b9c10",
"source": "api",
"orderDate": "2026-10-01",
"orderTime": null,
"retailer": "Staples",
"orderNumber": "STP-8812345",
"retailerAccount": null,
"subtotal": 101190,
"shipping": 0,
"tax": 0,
"discount": 0,
"total": 101190,
"creditCardId": null,
"subCreditCardId": null,
"cardEarnRate": 0,
"notes": null,
"cashback": null,
"createdAt": "2026-10-01T18:30:00.000Z",
"status": "purchased",
"expectedPayout": 100000,
"orderLineItems": [
{
"id": "c2d0a8f4-1b7e-4f0a-8a3e-5b6c7d8e9f01",
"description": "Visa gift card",
"model": null,
"unitPrice": 50595,
"quantity": 2,
"expectedUnitPayout": 50000,
"unitValue": 50000
}
],
"platform": "card_cash"
}
],
"pagination": {
"limit": 25,
"offset": 0,
"totalCount": 1
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"issues": [
{
"path": "orderLineItems.0.unitPrice",
"message": "<string>"
}
]
}
}Authorizations
Your API key, starting with ct_key_.
Your API secret, starting with ct_secret_.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
purchased, submitted, partially_paid, issue, paid, cancelled Exact retailer name, case-insensitive.
Exact order number.
Earliest order date, inclusive.
Latest order date, inclusive.